
# Fedora review:  http://bugzilla.redhat.com/195486

## Conditional build:
# disabled, for now, doesn't build -- Rex
#define _enable_jingle --enable-jingle
%define _enable_sametime_plugin --enable-sametime-plugin
%define _enable_slp --enable-slp
%define _with_xmms --with-xmms
%ifnarch s390 s390x
%define _with_wifi --with-wifi
%endif

%define console_helper 1 
%define debug 0
%define final 1
%define make_cvs 1

%if 0%{?fedora} > 7
# make -libs subpkg
%define libs 1
%endif

Name:    kdenetwork
Epoch:   7
Version: 3.5.10
Release: 1%{?dist}
Summary: K Desktop Environment - Network Applications

License: GPLv2
Group:   Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides: kdenetwork3 = %{version}-%{release}

Url: http://www.kde.org
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Source1: kppp.pamd
Source2: ktalk
Source4: lisarc
Source5: lisa.redhat

Patch1: kdenetwork-3.1-desktop.patch
Patch3: kdenetwork-3.5.8-kppp.patch
Patch4: kdenetwork-3.2.3-resolv.patch
# include more/proper ppp headers
Patch5: kdenetwork-3.5.9-ppp.patch
Patch6: kdenetwork-3.5.9-krfb_httpd.patch

%if 0%{?libs}
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
%else
Obsoletes: %{name}-libs < %{?epoch:%{epoch}:}%{version}-%{release}
Provides:  %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
%endif

BuildRequires: gettext
BuildRequires: kdelibs3-devel >= %{version}
%if %{make_cvs}
BuildRequires: libtool automake
%endif
BuildRequires: coreutils 
BuildRequires: openssl-devel
%if 0%{?fedora} > 4 || 0%{?rhel} > 4
BuildRequires: libXmu-devel libXScrnSaver-devel libXtst-devel libXxf86vm-devel
%endif
%if "%{?_with_wifi:1}" == "1"
%if 0%{?fedora} > 5 || 0%{?rhel} > 4
BuildRequires: wireless-tools-devel
%else
BuildRequires: wireless-tools
%endif
%endif
%{?_enable_slp:BuildRequires: openslp-devel}
## kopete:
BuildRequires: libxml2-devel libxslt-devel
%ifarch %{ix86}
# BR: %{_includedir}/valgrind/valgrind.h
BuildRequires: valgrind
%endif
#jabber
BuildRequires: libidn-devel
#jabber/jingle
%{?_enable_jingle:BuildRequires: expat-devel glib2-devel ortp-devel speex-devel}
# jabber/ssl
%{?fedora:Requires(hint): qca-tls}
# sametime
%{?_enable_sametime_plugin:BuildRequires: meanwhile-devel}
%{?_with_xmms:BuildRequires: xmms-devel}
# yahoo
Requires(hint): jasper
## kppp
Requires: ppp
## krdc
Requires(hint): rdesktop
## lisa
Requires(preun):  chkconfig
Requires(post):   chkconfig
#Requires(hint): samba-client

%if 0%{?console_helper}
Requires: usermode-gtk
%endif


%description
Networking applications, including:
* kget: downloader manager
* kio_lan: lan browsing kio slave
* knewsticker: RDF newsticker applet
* kopete: chat client
* kppp: dialer and front end for pppd
* krdc: a client for Desktop Sharing and other VNC servers
* krfb: Desktop Sharing server, allow others to access your desktop via VNC
* lisa: lan information server

%package devel
Summary: Development files for %{name} 
Group: Development/Libraries
Provides: kdenetwork3-devel = %{version}-%{release}
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kdelibs3-devel
%description devel
%{summary}. 

%package extras
Summary: Extras packages for %{name} 
Group: Applications/Internet
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
%if "%{?_with_xmms:1}" == "1"
Obsoletes: %{name}-nowlistening < %{epoch}:%{version}-%{release}
Provides:  %{name}-nowlistening = %{epoch}:%{version}-%{release}
%endif
%description extras
More Networking applications for the K Desktop Environment:
 * ksirc
 * kdict
 * ktalkd
 * kpf
 * kwifimanager
%if "%{?_with_xmms:1}" == "1"
 * nowlistening (xmms) plugin for Kopete.
%endif

%if 0%{?libs}
%package libs
Summary: %{name} runtime libraries
Group:   System Environment/Libraries
Requires: kdelibs3 >= %{version}
# helps multilib upgrades
Obsoletes: %{name} < %{?epoch:%{epoch}:}%{version}-%{release}
# include to be paranoid, installing libs-only is still mostly untested -- Rex
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
%description libs
%{summary}.
%endif


%prep
%setup -q

%patch1 -p1 -b .dt
%if %{console_helper}
%patch3 -p1 -b .kppp
%endif
%patch4 -p1 -b .resolv
%patch5 -p1 -b .ppp
%patch6 -p1 -b .krfb_httpd

%if %{make_cvs}
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure                        \
   --enable-new-ldflags           \
   --disable-dependency-tracking  \
   --disable-rpath                \
%if %{debug} == 0
   --disable-debug                \
   --disable-warnings             \
%endif
%if %{final}
   --enable-final                 \
%endif
   --includedir=%{_includedir}/kde \
  %{?_enable_jingle} %{!?_enable_jingle:--disable-jingle} \
  %{?_enable_sametime_plugin} %{!?_enable_sametime_plugin:--disable-sametime-plugin} \
  %{?_enable_slp} %{!?_enable_slp:--disable-slp} \
  %{?_with_wifi} %{!?_with_wifi:--without-wifi}

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d %{buildroot}$HTML_DIR ]; then
for lang_dir in %{buildroot}$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && %{__rm} -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

# Show only in KDE, FIXME, need to re-evaluate these -- Rex
for i in fileshare kcmkrfb kcmktalkd kcmwifi krfb kppp kppplogview \
   kwifimanager kget knewsticker ksirc kdict ; do
   if [ -f %{buildroot}%{_datadir}/applications/kde/$i.desktop ] ; then
      echo "OnlyShowIn=KDE;" >> %{buildroot}%{_datadir}/applications/kde/$i.desktop
   fi
done

%if %console_helper
# Run kppp through consolehelper
install -p -m644 -D %{SOURCE1} %{buildroot}/etc/pam.d/kppp
mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/kppp %{buildroot}%{_sbindir}
ln -s consolehelper %{buildroot}%{_bindir}/kppp
mkdir -p %{buildroot}/etc/security/console.apps
cat > %{buildroot}/etc/security/console.apps/kppp <<EOF
USER=root
PROGRAM=%{_sbindir}/kppp
SESSION=true
EOF
%endif

# ktalk
install -p -m 0644 -D  %{SOURCE2} %{buildroot}%{_sysconfdir}/xinetd.d/ktalk

# Add lisa startup script
install -p -m 0644 -D %{SOURCE4} %{buildroot}%{_sysconfdir}/lisarc
install -p -m 0755 -D %{SOURCE5} %{buildroot}%{_initrddir}/lisa


%post
%{!?libs:/sbin/ldconfig}
/sbin/chkconfig --add lisa ||:
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
%{!?libs:/sbin/ldconfig}
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%preun
if [ $1 -eq 0 ]; then
  /sbin/chkconfig --del lisa ||:
  /sbin/service lisa stop > /dev/null 2>&1 ||:
fi

%if 0%{?libs}
%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig
%endif

%post extras
for f in crystalsvg hicolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done

%postun extras
for f in crystalsvg hicolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done


%clean
%{__rm} -rf %{buildroot}


%files extras
%defattr(-,root,root,-)

# ksirc
%{_docdir}/HTML/??/ksirc/
%{_bindir}/ksirc
%{_libdir}/libkdeinit_ksirc.*
%{_libdir}/kde3/ksirc.*
%{_datadir}/applications/kde/ksirc.desktop
%{_datadir}/apps/ksirc/
%config(noreplace) %{_datadir}/config/ksircrc
%{_datadir}/icons/hicolor/*/apps/ksirc.*

# kdict
%{_docdir}/HTML/en/kdict
%{_bindir}/kdict
%{_libdir}/kde3/kdict*
%{_libdir}/libkdeinit_kdict.*
%{_datadir}/applications/kde/kdict.desktop
%{_datadir}/apps/kdict
%{_datadir}/apps/kicker/applets/kdictapplet.desktop
%{_datadir}/icons/hicolor/*/apps/kdict.*

# ktalk
%{_docdir}/HTML/en/ktalkd
%{_bindir}/ktalkd*
%{_libdir}/kde3/kcm_ktalkd.*
%{_datadir}/applications/kde/kcmktalkd.desktop
%config(noreplace) %{_datadir}/config/ktalkdrc
%{_datadir}/icons/crystalsvg/*/apps/ktalkd.*
%{_datadir}/sounds/ktalkd.wav
%config(noreplace) %{_sysconfdir}/xinetd.d/ktalk

# kpf
%{_docdir}/HTML/en/kpf
%{_libdir}/kde3/kpf*
%{_datadir}/apps/kicker/applets/kpfapplet.desktop
%{_datadir}/icons/crystalsvg/*/apps/kpf.*
%{_datadir}/services/kpfpropertiesdialogplugin.desktop

%if "%{?_with_wifi:1}" == "1"
# kwifimanager
%doc %{_docdir}/HTML/en/kwifimanager
%{_bindir}/kwifimanager
%{_libdir}/kde3/kcm_wifi.*
%{_datadir}/applications/kde/kcmwifi.desktop
%{_datadir}/applications/kde/kwifimanager.desktop
%{_datadir}/apps/kwifimanager
%{_datadir}/icons/hicolor/*/apps/kwifimanager.png
%endif

%if "%{?_with_xmms:1}" == "1"
#files nowlistening
#defattr(-,root,root,-)
%{_datadir}/apps/kopete/*nowlisteningchatui*
%{_datadir}/apps/kopete/*nowlisteningui*
%{_datadir}/services/kconfiguredialog/*nowlistening*
%{_datadir}/services/*nowlistening*
%{_libdir}/kde3/*nowlistening*
%endif

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README

# ksirc
%exclude %{_bindir}/ksirc
%exclude %{_libdir}/libkdeinit_ksirc.*
%exclude %{_libdir}/kde3/ksirc.*
%exclude %{_datadir}/applications/kde/ksirc.desktop
%exclude %{_datadir}/apps/ksirc/
%exclude %{_datadir}/config/ksircrc
%exclude %{_docdir}/HTML/??/ksirc/
%exclude %{_datadir}/icons/hicolor/??x??/apps/ksirc.png

# kdict
%exclude %{_docdir}/HTML/en/kdict
%exclude %{_bindir}/kdict
%exclude %{_libdir}/kde3/kdict*
%exclude %{_libdir}/libkdeinit_kdict.*
%exclude %{_datadir}/applications/kde/kdict.desktop
%exclude %{_datadir}/apps/kdict
%exclude %{_datadir}/apps/kicker/applets/kdictapplet.desktop
%exclude %{_datadir}/icons/hicolor/128x128/apps/kdict.png
%exclude %{_datadir}/icons/hicolor/??x??/apps/kdict.png
%exclude %{_datadir}/icons/hicolor/scalable/apps/kdict.svgz

# ktalk
%exclude %{_docdir}/HTML/en/ktalkd
%exclude %{_sysconfdir}/xinetd.d/ktalk
%exclude %{_bindir}/ktalkd*
%exclude %{_libdir}/kde3/kcm_ktalkd.*
%exclude %{_datadir}/applications/kde/kcmktalkd.desktop
%exclude %{_datadir}/config/ktalkdrc
%exclude %{_datadir}/icons/crystalsvg/128x128/apps/ktalkd.png
%exclude %{_datadir}/icons/crystalsvg/??x??/apps/ktalkd.png
%exclude %{_datadir}/sounds/ktalkd.wav

# kpf
%exclude %{_libdir}/kde3/kpf*
%exclude %{_datadir}/apps/kicker/applets/kpfapplet.desktop
%exclude %{_docdir}/HTML/en/kpf
%exclude %{_datadir}/icons/crystalsvg/??x??/apps/kpf.png
%exclude %{_datadir}/services/kpfpropertiesdialogplugin.desktop

%ifnarch s390 s390x
# kwifimanager
%exclude %{_bindir}/kwifimanager
%exclude %{_libdir}/kde3/kcm_wifi.*
%exclude %{_datadir}/applications/kde/kcmwifi.desktop
%exclude %{_datadir}/applications/kde/kwifimanager.desktop
%exclude %{_datadir}/apps/kwifimanager
%exclude %{_docdir}/HTML/en/kwifimanager
%exclude %{_datadir}/icons/hicolor/128x128/apps/kwifimanager.png
%exclude %{_datadir}/icons/hicolor/??x??/apps/kwifimanager.png
%exclude %{_datadir}/icons/hicolor/scalable/apps/kwifimanager.svgz
%endif

# nowlistening
%if "%{?_with_xmms:1}" == "1"
%exclude %{_datadir}/apps/kopete/*nowlisteningchatui*
%exclude %{_datadir}/apps/kopete/*nowlisteningui*
%exclude %{_datadir}/services/kconfiguredialog/*nowlistening*
%exclude %{_datadir}/services/*nowlistening*
%exclude %{_libdir}/kde3/*nowlistening*
%endif

%{_docdir}/HTML/en/*
%if %console_helper
%config(noreplace) /etc/security/console.apps/kppp
%config(noreplace) /etc/pam.d/kppp
%{_sbindir}/kppp
%else
%attr(4755,root,root) %{_bindir}/kppp
%endif
%config(noreplace) %{_sysconfdir}/lisarc
%config(noreplace) %{_initrddir}/lisa
%{_libdir}/libkdeinit_*.so
%if "%{?_with_wifi:1}" == "1"
%{_libdir}/libkwireless.*
%endif
%{_libdir}/kde3/*
%{_libdir}/kconf_update_bin/*
%{_bindir}/*
%{_datadir}/apps/*
%{_datadir}/applications/kde/*
%{_datadir}/applnk/.hidden/*
%{_datadir}/config/*
%{_datadir}/config.kcfg/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/sounds/*

%if 0%{?libs}
%files libs
%defattr(-,root,root,-)
%endif
%{_libdir}/libkopete*.so.*
%{_libdir}/libkopete*.la
%{_libdir}/librss.so.*
%{_libdir}/librss.la

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde/*
%{_libdir}/libkopete*.so
%{_libdir}/librss.so


%changelog
* Thu Sep 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 7:3.5.10-1
- update to 3.5.10
- drop kopete-icq patch (fixed upstream)

* Tue Jul 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 7:3.5.9-3
- kde#165502: ICQ doesn't connect (Client too old)

* Tue Feb 26 2008 Lukáš Tinkl <ltinkl@redhat.com> - 7:3.5.9-2
- #433511: vnc server through krfb and accessing by http broken
- #433510: /usr/bin/krfb_httpd broken due to converted literal ^M chars

* Fri Feb 15 2008 Rex Dieter <rdieter@fedoraproject.org> - 7:3.5.9-1
- kde-3.5.9

* Tue Dec 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.8-10
- Requires: rdesktop (#420801)

* Mon Nov 19 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> - 7:3.5.8-9
- fix typo in kdenetwork-nowlistening Obsoletes/Provides (#390821)

* Sat Nov 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.8-8
- Requires: ppp (#367001)

* Sat Nov 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.8-7
- Requires: usermode-gtk (#179231)

* Thu Nov 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.8-6
- drop: Req: samba-client (#361511)
- lisarc: SearchUsingNmblookup = 0 (#361511)

* Thu Nov 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.8-5
- Requires: samba-client (#361511)

* Mon Oct 30 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.8-4
- libs: Requires: %%{name}... (multilib upgrades)
- fixup scriptlets

* Tue Oct 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.8-3
- -libs: Obsoletes: %%name ... to help out multilib upgrades

* Sun Oct 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.8-2
- -libs: %%post/%%postun -p /sbin/ldconfig
- -libs conditional (f8+)

* Sat Oct 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.8-1
- kde-3.5.8
- libs subpkg (more multilib friendly)

* Tue Sep 18 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.7-6
- fix ppp patch

* Mon Sep 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.7-5
- +Requires: jasper (kopete yahoo support)

* Wed Aug 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.7-4
- ppp patch (to enable kppp build again)

* Wed Aug 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.7-3
- License: GPLv2
- Provides: kdenetwork3(-devel)
- move -nowlistening subpkg bits into -extras

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 7:3.5.7-2
- Rebuild for selinux ppc32 issue.

* Mon Jun 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.7-1
- 3.5.7

* Wed May 23 2007 Christopher Aillon <caillon@redhat.com> 7:3.5.6-6
- Rebuild against newer libiw.so

* Wed May 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.6-5
- revert back to console_helper=1 (pending more discussion)

* Fri May 04 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.6-4
- --enable-sametime-plugin, BR: libmeanwhile-devel
- --enable-slp, BR: openslp-devel
- -nowlistening: --with-xmms, BR: xmms-devel
- BR: libxml2 libxslt
- don't use usermode(gtk) for kppp (allows users to have separate profiles)
- Requires(hint): rdesktop (krdc)
- Requires(hint): qca-tls (kopete: jabber/tls support)
- fixup/simplify scriptlets

* Thu Apr 12 2007 Than Ngo <than@redhat.com> - 7:3.5.6-3.fc7
- cleanup
- apply CVS upstream patches

* Mon Apr 02 2007 Than Ngo <than@redhat.com> - 7:3.5.6-2.fc7
- catch the empty ICQ UIN case when creating an account, which
  would crash Kopete, kde#139719

* Thu Feb 08 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 7:3.5.5-0.3
- dropped autoconf, gcc-c++, glibc-devel as BR
- split ksirc, ktalkd and kdict as a separate package kdenetwork-extras
- dropped requires:  kdelibs >= %%{kdelibs_epoch}:%%{version} already required by kdebase
- added timestamps wherever possible

* Wed Jan 31 2007 Than Ngo <than@redhat.com> 7:3.5.6-0.1.fc6
- 3.5.6

* Fri Nov 10 2006 Than Ngo <than@redhat.com> 7:3.5.5-0.2.fc6
- add missing nowlistening plugins

* Thu Oct 26 2006 Than Ngo <than@redhat.com> 7:3.5.5-0.1
- 3.5.5

* Tue Sep 19 2006 Than Ngo <than@redhat.com> 7:3.5.4-5
- apply upstream patches
    fix #133995, emoticon parsing if there are sub-emoticons

* Wed Sep 06 2006 Than Ngo <than@redhat.com> 7:3.5.4-4
- fix dependency problem

* Tue Aug 29 2006 Christopher Aillon <caillon@redhat.com> 7:3.5.4-3
- Update BR to use the now split-out wireless-tools-devel package

* Thu Aug 10 2006 Than Ngo <than@redhat.com> 7:3.5.4-2
- apply upstream patches,
   - check the return value from XF86VidModeGetAllModeLines() to avoid crashing kde#73519
   - Fixed flickering when scrolling in newsticker kde#63494

* Mon Aug 07 2006 Than Ngo <than@redhat.com> 7:3.5.4-1
- apply upstream patch,
    no connection to icq-server kde#130630

* Mon Jul 24 2006 Petr Rockai <prockai@redhat.com> 7:3.5.4-0.pre1
- prerelease of kde 3.5.4 (from the first-cut tag)

* Thu Jul 20 2006 Than Ngo <than@redhat.com> 7:3.5.3-5
- apply upstream patches,
   Allow listening on all TCP ports between 1024 and 65535, kde#77626

* Mon Jul 17 2006 Than Ngo <than@redhat.com> 7:3.5.3-4
- rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 7:3.5.3-3.1
- rebuild

* Mon Jun 26 2006 Than Ngo <than@redhat.com> 7:3.5.3-3
- apply patch to check return value

* Fri Jun 09 2006 Than Ngo <than@redhat.com> 7:3.5.3-2
- enable --enable-new-ldflags again since ld bug fixed
- move only *.so symlinks to -devel subpackage

* Mon Jun 05 2006 Than Ngo <than@redhat.com> 7:3.5.3-1
- update to 3.5.3

* Tue May 16 2006 Than Ngo <than@redhat.com> 7:3.5.2-2
- rebuilt againts new qt to fix multilib problem

* Thu Apr 06 2006 Than Ngo <than@redhat.com> 7:3.5.2-0.1.fc5
- update to 3.5.2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 7:3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 7:3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Feb 05 2006 Than Ngo <than@redhat.com> 7:3.5.1-1
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 30 2005 Than Ngo <than@redhat.com> 7:3.5.0-1
- 3.5

* Wed Nov 09 2005 Than Ngo <than@redhat.com> 7:3.4.92-3
- get rid of XFree86-devel requires
- fix gcc4 compilation

* Wed Nov  9 2005 Tomas Mraz <tmraz@redhat.com> 7:3.4.92-2
- rebuilt against new openssl

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 7:3.4.92-1
- update to 3.5 Beta 2

* Mon Oct 10 2005 Than Ngo <than@redhat.com> 7:3.4.91-1
- update to 3.5 Beta 1

* Wed Sep 21 2005 Than Ngo <than@redhat.com> 7:3.4.2-3
- fix uic build problem

* Wed Aug 17 2005 Than Ngo <than@redhat.com> 7:3.4.2-2
- apply patch to fix crash when trying to add AIM contacts
  while disconnected

* Thu Aug 11 2005 Than Ngo <than@redhat.com> 7:3.4.2-1
- update to 3.4.2

* Fri Jul 22 2005 Than Ngo <than@redhat.com> 7:3.4.1-2
- fix crash in kopete on x86_64
- apply patch to fix libgadu vulnerabilities #163811, CVE CAN-2005-1852
  thank to kde security team

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 7:3.4.1-1
- 3.4.1

* Tue Apr 05 2005 Than Ngo <than@redhat.com> 7:3.4.0-3
- xmms is removed in fc4, rebuild without xmms support

* Wed Mar 23 2005 Than Ngo <than@redhat.com> 7:3.4.0-2
- 3_4_BRANCH CVS fixes

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 7:3.4.0-1
- 3.4.0

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 7:3.4.0-0.rc1.2
- rebuilt against gcc-4.0.0-0.31

* Sun Feb 27 2005 Than Ngo <than@redhat.com> 7:3.4.0-0.rc1.1
- KDE 3.4.0 rc1

* Mon Feb 21 2005 Than Ngo <than@redhat.com> 7:3.3.92-0.1
- KDE-3.4 beta2

* Mon Jan 24 2005 Than Ngo <than@redhat.com> 7:3.3.2-0.3
- rebuilt against new wireless tools

* Tue Dec 07 2004 Than Ngo <than@redhat.com> 7:3.3.2-0.2
- add missing return statement, bug #142097
- remove kdenetwork-3.3.0-kget.patch, it's included in 3.3.2
- add CVS patch to fix memory leak

* Fri Dec 03 2004 Than Ngo <than@redhat.com> 7:3.3.2-0.1
- update to 3.3.2
- remove kdenetwork-3.3.1-kppp-cb.patch, it's included in 3.3.2

* Mon Nov 15 2004 Than Ngo <than@redhat.com> 7:3.3.1-3
- increased length of callback number

* Fri Oct 15 2004 Than Ngo <than@redhat.com> 7:3.3.1-2
- fix desktop files

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 7:3.3.1-1
- update to 3.3.1

* Wed Sep 29 2004 Than Ngo <than@redhat.com> 7:3.3.0-5
- get rid of CVS directories from file list #134065

* Fri Sep 24 2004 Than Ngo <than@redhat.com> 7:3.3.0-4
- fix crash in kget #133495

* Thu Sep 23 2004 Than Ngo <than@redhat.com> 7:3.3.0-3
- add OnlyShowIn=KDE

* Thu Sep 16 2004 Than Ngo <than@redhat.com> 3.3.0-2
- fix memmove warning in ksirc #132676

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Sat Aug 07 2004 Than Ngo <than@redhat.com> 7:3.2.92-1
- update to 3.3 Beta 2

* Thu Jul 01 2004 Than Ngo <than@redhat.com> 7:3.2.3-2
- add buildRequire on wireless-tools, xmms-devel (bug #124712)
- add sub package nowlistening to get rid of xmms dependency (bug #115067)
- fix resolv.conf problem (bug #125601, #125442)

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 7:3.2.3-1
- update to 3.2.3 release

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 7:3.2.2-1
- 3.2.2 release

* Fri Apr 02 2004 Than Ngo <than@redhat.com> 7:3.2.1-5.1
- fix missing soname, bug #119739

* Thu Apr 01 2004 Than Ngo <than@redhat.com> 3.2.1-5
- fix kget issue, bug #117395

* Mon Mar 29 2004 Than Ngo <than@redhat.com> 3.2.1-4
- cleanup KDE/GNOME menus

* Fri Mar 19 2004 Karsten Hopp <karsten@redhat.de> 3.2.1-3
- move Obsoletes: kmail to kdepim package.

* Sun Mar 14 2004 Karsten Hopp <karsten@redhat.de> 3.2.1-2
- remove kmail virtual package, its in kdepim now

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 7:3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Than Ngo <than@redhat.com> 7:3.2.0-1.5
- gcc 3.4 build problem

* Tue Feb 17 2004 Than Ngo <than@redhat.com> 7:3.2.0-1.4
- use _smp_mflags

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Feb 07 2004 Than Ngo <than@redhat.com> 3.2.0-0.3
- 3.2.0 release
- built against qt-3.3.0

* Wed Jan 28 2004 Than Ngo <than@redhat.com> 7:3.1.95-0.2
- cleanup the code for 64bit machines

* Wed Jan 21 2004 Than Ngo <than@redhat.com> 7:3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 7:3.1.94-0.1
- KDE 3.2 Beta2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.3
- get rid of rpath
- don't move desktop files, it's not needed in 3.2

* Tue Nov 25 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.2
- fixed link problem with ssl

* Mon Nov 10 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.1
- KDE 3.2 Beta1
- cleaned up rpm file list

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 7:3.1.4-1
- 3.1.4

* Thu Aug 14 2003 Than Ngo <than@redhat.com> 7:3.1.3-3
- add workaround for s390/s390x build problem

* Wed Aug 06 2003 Than Ngo <than@redhat.com> 7:3.1.3-2
- rebuilt

* Tue Aug 05 2003 Than Ngo <than@redhat.com> 7:3.1.3-1
- 3.1.3

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 19 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Wed Apr 30 2003 Than Ngo <than@redhat.com> 3.1.1-2
- build with -fpic on ppc (ld bugs)

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Fri Mar 7 2003 Dan Walsh <dwalsh@redhat.com> 3.1-8
- bump release number

* Thu Mar  6 2003 Than Ngo <than@redhat.com> 3.1-7
- la file issue, bug #85727

* Wed Feb 26 2003 Dan Walsh <dwalsh@redhat.com> 3.1-6
- Fix service description

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-4
- get rid of gcc path from dependency_libs

* Fri Feb 14 2003 Than Ngo <than@redhat.com> 3.1-3
- add patch to start lisa daemon correct from initscript, #84257
- dependency issue, #81430

* Wed Jan 29 2003 Than Ngo <than@redhat.com> 3.1-2
- get rid of kotalkd, bug #82765
- lisa initscript, bug #82935

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release
- remove some unneeded macros

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 7:3.1-0.10
- rebuild

* Sun Jan 12 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.9
- rc6
- exclude ia64

* Sun Dec 29 2002 Than Ngo <than@redhat.com> 3.1-0.8
- fix bug #80354

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 3.1-0.7
- rebuild

* Fri Dec 13 2002 Than Ngo <than@redhat.com> 3.1-0.6
- fix rpm conflicts

* Tue Dec 10 2002 Than Ngo <than@redhat.com> 3.1-0.5
- fix to build on s390/s390x

* Mon Dec  9 2002 Than Ngo <than@redhat.com> 3.1-0.4
- fix bug #78650
- desktop file issues

* Sun Dec  8 2002 Than Ngo <than@redhat.com> 3.1-0.3
- Add lisa startup script (bug #72114)
- fix dependency issue

* Thu Nov 28 2002 Than Ngo <than@redhat.com> 3.1-0.2
- add obsoletes/provides sub packages

* Tue Nov 26 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- remove sub packages

* Tue Nov 12 2002 Than Ngo <than@redhat.com> 3.0.5-3
- respin

* Mon Nov 11 2002 Nalin Dahyabhai <nalin@redhat.com> 3.0.5-2
- remove directory names from the PAM configuration, allowing the same config
  file to be used for all arches on multilib systems

* Sat Nov  9 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Sat Oct 12 2002 Than Ngo <than@redhat.com> 3.0.3-3.1
- kpf Directory traversal

* Sat Aug 24 2002 Than Ngo <than@redhat.com> 3.0.3-3
- move knode menu entries to Extras (bug #71881)

* Wed Aug 21 2002 Preston Brown <pbrown@redhat.com> 3.0.3-2
- buildrequirement on automake15, autoconf >= 2.53
- move kmail, kppp, kppplogview menu entries to Extras

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- build using gcc-3.2-0.3

* Mon Aug  5 2002 Than Ngo <than@redhat.com> 3.0.2-4
- desktop file issues
- Added more BuildRequires (bug #70056)
- Added support timestamp
- Added Node.desktop in correct package (bug #65087)
- Fixed dangling symlink (bug #63876)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- build using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue

* Thu Jul 11 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 13 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Fix dangling symlink introduced by library renaming

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Rename libraries
- Fix default kmail settings

* Wed Apr  3 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Merge fixes for 3 potential kmail crashes from KDE_3_0_BRANCH

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0 final
